[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Crt' (#rtl)

# GotoXY

Set cursor position on screen.

## Declaration

Source position: crth.inc line 83

`procedure GotoXY(`
`X: tcrtcoord;`
`Y: tcrtcoord`
`);`

## Description

GotoXY positions the cursor at (X,Y), X in horizontal, Y in vertical direction relative to the origin of the current window. The origin is located at (1,1), the upper-left corner of the window.

## Errors

None.

## See also

WhereX |  | Return X (horizontal) cursor position
WhereY |  | Return Y (vertical) cursor position
Window |  | Create new window on screen.

## Example

    Program Example6;
    uses Crt;

    { Program to demonstrate the GotoXY function. }

    begin
      ClrScr;
      GotoXY(10,10);
      Write('10,10');
      GotoXY(70,20);
      Write('70,20');
      GotoXY(1,22);
    end.

Documentation generated on: Feb 26 2014